%define	module	GDTextUtil
%define name	perl-%{module}
%define version 0.86
%define release %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Text utilities for use with GD 
License:	GPL or Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/M/MV/MVERB/%{module}-%{version}.tar.bz2
URL:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-GD >= 1.20
Obsoletes:	perl-GD-TextUtil
Provides:	perl-GD-TextUtil
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module provides a font-independent way of dealing with text in GD, for use
with the GD::Text::* modules and GD::Graph.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%makeinstall_std

%clean 
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/GD
%{_mandir}/*/*


%changelog
* Fri Jan 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.86-2mdv2007.0
+ Revision: 107910
- rebuild
- Import perl-GDTextUtil



* Wed Nov 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.86-1mdk
- new version
- spec cleanup
- %%mkrel
- fix directory ownership
- rpmbuilupdate aware
- better summary
- better description
- fixed name

* Fri Oct 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.83-10mdk
- fix deps

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.83-9mdk
- don't own other dirs

* Sat Aug 16 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.83-8mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro
- %%module macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.83-7mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-6mdk
- fix buildrequires, thanks to Stefan van der Eijks robot

* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-5mdk
- build release

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.83-4mdk
- rebuild with latest perl.
- fix man page conflict.
- add BuildRequires.

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-3mdk
- ship man pages too...

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-2mdk
- 1mdk was lost

* Mon Jul 29 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.83-1mdk
- initial cooker contrib.
